Package org.opensaml.security.x509.tls.impl

# Class ThreadLocalX509TrustEngineContext.Data

java.lang.Object
org.opensaml.security.x509.tls.impl.ThreadLocalX509TrustEngineContext.Data

Enclosing class:
  ThreadLocalX509TrustEngineContext

private static final class ThreadLocalX509TrustEngineContext.Data extends Object
Unified class representing the data that will be managed by the thread local storage.

## Field Summary

Fields
Modifier and Type
Field
Description
`private CriteriaSet`
`criteriaSet`
Criteria.
`private Boolean`
`failureFatal`
Whether trust engine evaluation failure should be treated as fatal.
`private Boolean`
`trusted`
Whether evaluation target was trusted.
`private TrustEngine<? super X509Credential>`
`trustEngine`
Trust engine.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Data(TrustEngine<? super X509Credential> engine, CriteriaSet criteria, Boolean fatal)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### trustEngine

@Nonnull private TrustEngine<? super X509Credential> trustEngine
Trust engine.

### criteriaSet

@Nonnull private CriteriaSet criteriaSet
Criteria.

### trusted

@Nullable private Boolean trusted
Whether evaluation target was trusted.

### failureFatal

@Nonnull private Boolean failureFatal
Whether trust engine evaluation failure should be treated as fatal. Defaults to true.

## Constructor Details

### Data

private Data(@Nonnull TrustEngine<? super X509Credential> engine, @Nonnull CriteriaSet criteria, @Nullable Boolean fatal)
Constructor.

Parameters:
  `engine` - the trust engine
  `criteria` - the trust criteria
  `fatal` - whether trust engine failure should be treated as fatal